Bug 128553 - Change to /cve/ template
Change to /cve/ template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn340
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Mark J. Cox (Product Security)
: FutureFeature
Depends On:
Blocks: 120693
  Show dependency treegraph
 
Reported: 2004-07-26 08:24 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-09 14:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-26 08:24:43 EDT
The fixes to /cve/ have not yet been pushed live - so I'd like to make
a suggestion for a minor display change.

In /rhn/web/titan_html/errata_hidden/cve_details.pxi

Currently "Errata >\n Updated packages to correct...."

Change to "Errata >\n <some heading>CAN-2004-0001</some heading> \n
Updated packages to correct...."

With the corresponding Snigglet change so you can substitute in the
CVE name, make sure it gets sanitized ((C\s\s-\d{4}-\d{4}) is safe) to
ensure no nasty cross-site-scripting.

Some heading could be similar to that used for the /errata/
<font style="color:#990000; font-family:helvetica;
text-decoration:none; font-size:14pt; font-weight:bold;">
Comment 1 Chip Turner 2004-07-26 08:43:32 EDT
assigning to rhn350hosted to see if there's time to fix it for this
release
Comment 2 Jesus M. Rodriguez 2004-07-26 11:52:14 EDT
Added the ability to display CVE/CAN title as a heading to the details
page.
Comment 3 Jesus M. Rodriguez 2004-07-26 11:52:34 EDT
Changing status to ondev.
Comment 4 Mark J. Cox (Product Security) 2004-07-26 11:55:08 EDT
looks good to me.
Comment 5 Fanny Augustin 2004-07-26 12:02:42 EDT
Mark,

Are you testing this bug?  If so, I will change the QA contact to you.
 Change it back to me with a note if this is not the case.
Comment 6 Mark J. Cox (Product Security) 2004-07-27 03:44:18 EDT
yes, this works as expected.

Note You need to log in before you can comment on or make changes to this bug.